Option to unarchive the project when admins visit an archived project
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version: 4.0.0   

Resolution: Fixed   

Description

When project added to archive - it is hidden from Projects panel.

And then whe it is needed for someone - they send ticket for recovering project. Like that:

"hello, can you recover project https://redmine.example.com/projects/786"?

and to recover it i need to create DB queries for now... which takes some time.

Associated revisions

Revision 17681 - 2018-12-02 12:13 - Jean-Philippe Lang

Let admin users unarchive subprojects of archived projects (#29993).

Revision 17682 - 2018-12-02 12:23 - Jean-Philippe Lang

Let admins unarchive the project when trying to access an archived project (#29993).

History

#1 - 2018-11-20 06:50 - Bernhard Rohloff

+1 I think in this particular case it would be great if the link would provide a view to the admin where he could recover the project directly.

#2 - 2018-12-02 12:26 - Jean-Philippe Lang

- Subject changed from Add column links in Administration -> projects to Option to unarchive the projet when admins visit an archived project

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version set to 4.0.0

- Resolution set to Fixed

When trying to access an archived project, a link to unarchive it will now be displayed to admin users.

#3 - 2018-12-06 04:57 - Go MAEDA

- Subject changed from Option to unarchive the projet when admins visit an archived project to Option to unarchive the project when admins visit an

archived project
